curl --request GET \
--url https://admin.devmain.flowxai.dev/rtm/api/runtime/app/{appId}/build/info \
--header "Authorization: Bearer <token>" \
--header "Flowx-Platform: web"
{
"buildId": "<string>",
"applicationId": "<string>",
"buildSettings": {
"applicationVersionId": "<string>",
"platforms": "<string>",
"themeId": "<string>",
"dateDisplayFormat": {
"format": "<string>"
},
"numberDisplayFormat": {
"minDecimals": 123,
"maxDecimals": 123
},
"currencyDisplayFormat": {
"format": "<string>"
},
"defaultLanguageCode": "<string>"
},
"Access-Control-Allow-Credentials": true,
"Access-Control-Allow-Headers": "<string>",
"Access-Control-Allow-Methods": "<string>",
"Access-Control-Allow-Origin": "<string>",
"Content-Encoding": "<string>",
"Content-Type": "<string>",
"Strict-Transport-Security": "<string>",
"Vary": "<string>",
"X-Content-Type-Options": "<string>",
"X-XSS-Protection": "<string>"
}Get Build Info
This endpoint retrieves information about the build of a specific project, as set by the Active policy.
GET
/
rtm
/
api
/
runtime
/
app
/
{appId}
/
build
/
info
curl --request GET \
--url https://admin.devmain.flowxai.dev/rtm/api/runtime/app/{appId}/build/info \
--header "Authorization: Bearer <token>" \
--header "Flowx-Platform: web"
{
"buildId": "<string>",
"applicationId": "<string>",
"buildSettings": {
"applicationVersionId": "<string>",
"platforms": "<string>",
"themeId": "<string>",
"dateDisplayFormat": {
"format": "<string>"
},
"numberDisplayFormat": {
"minDecimals": 123,
"maxDecimals": 123
},
"currencyDisplayFormat": {
"format": "<string>"
},
"defaultLanguageCode": "<string>"
},
"Access-Control-Allow-Credentials": true,
"Access-Control-Allow-Headers": "<string>",
"Access-Control-Allow-Methods": "<string>",
"Access-Control-Allow-Origin": "<string>",
"Content-Encoding": "<string>",
"Content-Type": "<string>",
"Strict-Transport-Security": "<string>",
"Vary": "<string>",
"X-Content-Type-Options": "<string>",
"X-XSS-Protection": "<string>"
}Base URL
- Always prepend the endpoint with the correct Base URL.
- For different environments (like staging or production), switch the base URL accordingly.
This endpoint is only accessible via the admin environment. Ensure that you are using the correct admin base URL when making requests.
Authorization
Bearer authentication header of the form Bearer
<token>, where <token> is your auth token.Request headers
Bearer token required for authentication. Format:
Bearer <token>.Specifies the media types that are acceptable for the response. Defaults to accepting JSON and plain text responses.
Indicates supported content encoding algorithms for the response.
Specifies language preferences for the response.
Path Parameters
The unique identifier of the application whose build information is being retrieved.
curl --request GET \
--url https://admin.devmain.flowxai.dev/rtm/api/runtime/app/{appId}/build/info \
--header "Authorization: Bearer <token>" \
--header "Flowx-Platform: web"
Response Fields
The unique identifier of the build.
The ID of the application associated with the build.
Contains configuration settings related to the build.
Show Properties
Show Properties
The version ID of the application associated with the build.
Indicates the supported platforms for the build (e.g.,
OMNICHANNEL).The ID of the theme applied to the build.
Defines the format used for displaying dates.
Show Properties
Show Properties
Specifies the date format style (e.g.,
short).Defines the format used for displaying currency.
Show Properties
Show Properties
Specifies the format for displaying currency (e.g.,
isoCode).The default language code for the build (e.g.,
en for English).Response Headers
Indicates whether the response can be exposed when credentials are present. Example:
true.Lists the allowed headers in the actual request.
Specifies the allowed HTTP methods.
Indicates the allowed origin for cross-origin requests.
Specifies the encoding used to compress the response.
Indicates the media type of the response content.
Enforces secure (HTTPS) connections to the server.
Specifies that the response may vary based on the
Accept-Encoding request header.Prevents the browser from MIME-sniffing a response away from the declared
Content-Type.Controls the cross-site scripting (XSS) filter. Example:
0 (disabled).Last modified on January 26, 2026
Was this page helpful?
⌘I

